package sgc.portal.base.error;

import org.springframework.stereotype.Component;

/**
 * ErrorMessageResolver 인터페이스를 구현한 구현체들이 에러 메시지를
 * 생성하지 못 했다면 해당 클래스가 마지막으로 에러 메시지 생성 처리를 맡는다.
 *
 * @author YongSang
 */
@Component
public class BasicErrorMessageResolver implements ErrorMessageResolver {
    @Override
    public String resolveErrorMessage(Throwable error) {
        return error.getMessage();
    }

    @Override
    public boolean supports(Throwable error) {
        return true;
    }

    @Override
    public int getOrder() {
        return LOWEST_PRECEDENCE;
    }
}